def set_interpreter_constraints(*, supported_versions, build_version):
    all_ics = {
        "3_7": "CPython~=3.7.4",
        "3_10": "CPython~=3.10.9",
        "3_11": "CPython~=3.11.4",
    }
    supported_ics = [all_ics[version] for version in supported_versions]
    parametrized_ics = {name: [all_ics[name]] for name in supported_versions}
    build_ics = [all_ics[build_version]]

    __defaults__({
        (python_sources, python_test_utils): dict(interpreter_constraints=supported_ics),
        (python_tests,): dict(interpreter_constraints=parametrize(**parametrized_ics)),
        (pex_binary, ): dict(interpreter_constraints=build_ics),
    })